package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ContractTable;

/**
 * B类Mapper接口
 * 
 * @author ruoyi
 * @date 2022-11-25
 */
public interface ContractTableMapper 
{
    /**
     * 查询B类
     * 
     * @param id B类主键
     * @return B类
     */
    public ContractTable selectContractTableById(Long id);

    /**
     * 查询B类列表
     * 
     * @param contractTable B类
     * @return B类集合
     */
    public List<ContractTable> selectContractTableList(ContractTable contractTable);

    /**
     * 新增B类
     * 
     * @param contractTable B类
     * @return 结果
     */
    public int insertContractTable(ContractTable contractTable);

    /**
     * 修改B类
     * 
     * @param contractTable B类
     * @return 结果
     */
    public int updateContractTable(ContractTable contractTable);

    /**
     * 删除B类
     * 
     * @param id B类主键
     * @return 结果
     */
    public int deleteContractTableById(Long id);

    /**
     * 批量删除B类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteContractTableByIds(Long[] ids);

    public ContractTable selectContractTableByCode(String code);
}
